## gate.gui
Class SerialControllerEditor.InternalProgressListener

    java.lang.Object
      |
      +--gate.gui.SerialControllerEditor.InternalProgressListener

All Implemented Interfaces:
  EventListener, ProgressListener

Enclosing class:
  SerialControllerEditor

protected class SerialControllerEditor.InternalProgressListener
extends Object
implements ProgressListener

A simple progress listener used to forward the events upstream.

Constructor Summary
`protected` `SerialControllerEditor.InternalProgressListener()`

Method Summary
`void` `processFinished()` Called when the process is finished.
`void` `progressChanged(int i)` Called when the progress has changed

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### SerialControllerEditor.InternalProgressListener

    protected SerialControllerEditor.InternalProgressListener()

Method Detail

### progressChanged

    public void progressChanged(int i)

  Description copied from interface: `ProgressListener`
  Called when the progress has changed
  Specified by:
    `progressChanged` in interface `ProgressListener`
  Following copied from interface: `gate.event.ProgressListener`
  Parameters:
    `i` -

### processFinished

    public void processFinished()

  Description copied from interface: `ProgressListener`
  Called when the process is finished.
  Specified by:
    `processFinished` in interface `ProgressListener`